import React, { useState, useEffect } from 'react'
import Taro from '@tarojs/taro'
import { Image } from '@tarojs/components'
import { formatDate } from '@/utils/chatDate'
import './index.scss'

export default function ResidentListItem (props) {
  const { data = {} } = props
  return (
    <view className='components ResidentListItem'>
      <view className='flex-h'>
        <text>客户姓名：</text>
        <view className='flex-item'>
          <text>{data.name}</text>
        </view>
        {
          data.customerStatus - 0 === 1 &&
          <text className='Status'>已报备</text>
        }
        {
          data.type === 'report' && data.channelStatus === 1 &&
          <text className='Status' onClick={() => { Taro.navigateTo({ url: `/pages/mine/sureVisit/index?id=${data.id}` }) }}>到访确认</text>
        }
      </view>
      <view className='flex-h'>
        <text>手机号码：</text>
        <view className='flex-item'>
          <text>{data.phone}</text>
        </view>
        {
          data.customerStatus - 0 === 1 &&
          <text className='Type'>报备</text>
        }
        {
          data.customerStatus - 0 === 2 &&
          <text className='Type'>到访</text>
        }
        {
          data.customerStatus - 0 === 3 &&
          <text className='Type'>认筹</text>
        }
        {
          data.customerStatus - 0 === 4 &&
          <text className='Type'>签约</text>
        }
        {
          data.customerStatus - 0 === 5 &&
          <text className='Type'>结佣</text>
        }
        {/* <Image mode='heightFix' src={require('@/assets/mine-icon27.png')}></Image> */}
      </view>
      <view className='flex-h'>
        <text>报备经纪：</text>
        <view className='flex-item'>
          <text>{data.recommendPersonName}  {data.recommendPersonPhone}</text>
        </view>
      </view>
      <view className='flex-h'>
        <text>报备时间：</text>
        <view className='flex-item'>
          <text>{formatDate(data.createDate, 'yyyy/M/d')}</text>
        </view>
      </view>
      <view className='Opt'>
        {
          !(data.type === 'report' && data.channelStatus === 3) &&
          <text className='active' onClick={() => { Taro.navigateTo({ url: `/pages/mine/changeVisit/index?id=${data.id}&name=${data.name}&buildingId=${data.buildingId}&type=${data.type}&channelId=${data.channelId}` }) }}>更新交易</text>
        }
        {
          data.type === 'report' && data.channelStatus === 3 &&
          <text>无效</text>
        }
      </view>
    </view>
  )
}
